GET /Facets

nsidc.org

Summary: View the facet information corresponding to a search
Operation ID: facets
Auth: unknown
Description

In the NSIDC Search and Arctic Data Explorer interfaces, this endpoint is used in conjunction with /OpenSearch whenever a user submits a new search. Consequently, it has the same parameters as /OpenSearch.

Parameters (9)

count (integer, query, optional, default: 25)

The number of search results per page desired by the client; OpenSearch 1.1

endDate (string, query, optional)

The end date in yyyy-mm-dd format

facetFilters (string, query, optional)

Describes faceted restrictions on the search. A URL-encoded JSON object where the keys are the names of the facet, and the values are arrays of the selected facet values

searchTerms (string, query, optional)

URL-encoded keyword or keywords desired by the client; OpenSearch 1.1

sortKeys (string, query, optional, default: score,,desc)

Sort the results by most relevant (default), smallest or largest spatial area, shortest or longest temporal duration, or most recently updated; partial implementation of OpenSearch SRU 1.0

Constraints: {'enum': ['score,,desc', 'spatial_area,,asc', 'spatial_area,,desc', 'temporal_duration,,asc', 'temporal_duration,,desc', 'updated,,desc']}

source (string, query, optional, default: NSIDC)

Custom parameter for selecting which source to use; the Arctic Data Explorer (ADE) uses data aggregated from many sources, including, but not limited to, NSIDC

Constraints: {'enum': ['NSIDC', 'ADE']}

spatial (string, query, optional, default: -180.0,-90.0,180.0,90.0)

4 comma separated values - W, S, E, N; OpenSearch-Geo 1.0, "box" parameter

startDate (string, query, optional)

The start date in yyyy-mm-dd format

startIndex (integer, query, optional, default: 1)

First search result desired by the search client; OpenSearch 1.1

No probe data for this endpoint yet.